
Redmine - Defect #16095

Viewing issue: role permissions should hide start date, due date, time and % done and any related

history

2014-02-14 03:27 - Richard Gunn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.2

Description

I have created a customer specific role & user and edited their permissions (role and workflow) to hide time related fields.

The correct behaviour is exhibited for this user under this role creating/updating issues - no time related fields are shown.

However when viewing the issue as this user the start date, due date, % done and estimated time is visible, as is the history related

to this.

Please refer to the attached screen shot.

Environment:

Redmine version 2.4.2.stable

Ruby version 1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version 3.2.16

Environment production

Database adapter Mysql2

SCM:

Subversion 1.8.4

Git 1.8.3

Filesystem

Redmine plugins:

redmine_mylyn_connector 2.8.2.stable

History

#1 - 2014-02-14 20:42 - Richard Gunn

- File issues.png added

- File role.png added

Additionally, the role constraints do not flow through under issues -> options -> columns list: the due date, estimated time and % done are visible, can

be selected & added as columns onto the issue list although the user's role disables all time tracking

screenshots: issues.png, role.png

#2 - 2014-02-22 12:40 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Disabling time tracking permissions for a role does not prevent this role from viewing start/due dates and estimates.

For now, there's no way to hide these standard fields to certain roles.
